SnmpTrapAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.agent.SnmpTrapAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.agent
Interface SnmpTrapAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, MonitorConfiguration, java.io.Serializable

    public interface SnmpTrapAgentConfiguration

extends AgentConfiguration

Configuration for a monitor agent that receives SNMP traps

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getTrapMapper()` The class of the mapper that will be used to map SNMP traps to AgentEvents e.g.
`int` | `getTrapPort()` SNMP port the agent will be listening on for input
`boolean` | `getUseTCPTransport()` Determines if TCP should be used to receive traps instead of UDP
`boolean` | `hasTrapMapper()`
`boolean` | `hasTrapPort()`
`boolean` | `hasUseTCPTransport()`
`void` | `setTrapMapper(java.lang.String mapper)`
`void` | `setTrapPort(int port)`
`void` | `setUseTCPTransport(boolean useTCPTransport)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getTrapPort

    int getTrapPort()
                    throws AttributeNotSetException

  SNMP port the agent will be listening on for input

  Returns:
    The SNMP port
  Throws:
    `AttributeNotSetException`

### setTrapPort

    void setTrapPort(int port)

### hasTrapPort

    boolean hasTrapPort()

### getTrapMapper

    java.lang.String getTrapMapper()
                                   throws AttributeNotSetException

  The class of the mapper that will be used to map SNMP traps to AgentEvents e.g. "com.collation.monitor.agent.NetViewMapper"

  Returns:
    The mapper class name
  Throws:
    `AttributeNotSetException`

### setTrapMapper

    void setTrapMapper(java.lang.String mapper)

### hasTrapMapper

    boolean hasTrapMapper()

### getUseTCPTransport

    boolean getUseTCPTransport()
                               throws AttributeNotSetException

  Determines if TCP should be used to receive traps instead of UDP

  Returns:
    True if TCP is used to receive traps, false if UDP
  Throws:
    `AttributeNotSetException`

### setUseTCPTransport

    void setUseTCPTransport(boolean useTCPTransport)

### hasUseTCPTransport

    boolean hasUseTCPTransport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD